org.apache.poi.hssf.record

## Class OldLabelRecord

- java.lang.Object
- - org.apache.poi.hssf.record.OldCellRecord
  - - org.apache.poi.hssf.record.OldLabelRecord

-     public final class OldLabelRecord
      extends OldCellRecord

  Biff2 - Biff 4 Label Record (0x0004 / 0x0204) - read only support for strings stored directly in the cell, from the older file formats that didn't use `LabelSSTRecord`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `biff2_sid`
    `static short` | `biff345_sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldLabelRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendValueText(java.lang.StringBuilder sb)` Append specific debug info (used by `OldCellRecord.toString()` for the value contained in this record.
    `protected java.lang.String` | `getRecordName()` Gets the debug info BIFF record type name (used by `OldCellRecord.toString()`.
    `int` | `getRecordSize()`
    `short` | `getStringLength()` get the number of characters this string contains
    `java.lang.String` | `getValue()` Get the String of the cell
    `int` | `serialize(int offset, byte[] data)` Not supported
    `void` | `setCodePage(CodepageRecord codepage)`

    - ### Methods inherited from class org.apache.poi.hssf.record.OldCellRecord

      `getCellAttrs, getColumn, getRow, getSid, getXFIndex, isBiff2, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### biff2_sid

          public static final short biff2_sid

      See Also:
        Constant Field Values

    - #### biff345_sid

          public static final short biff345_sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OldLabelRecord

          public OldLabelRecord(RecordInputStream in)

      Parameters:
        `in` - the RecordInputstream to read the record from

  - ### Method Detail

    - #### setCodePage

          public void setCodePage(CodepageRecord codepage)

    - #### getStringLength

          public short getStringLength()

      get the number of characters this string contains
      Returns:
        number of characters

    - #### getValue

          public java.lang.String getValue()

      Get the String of the cell
      Returns:
        the String of the cell

    - #### serialize

          public int serialize(int offset,
                               byte[] data)

      Not supported
      Parameters:
        `offset` - not supported
        `data` - not supported
      Returns:
        not supported

    - #### getRecordSize

          public int getRecordSize()

    - #### appendValueText

          protected void appendValueText(java.lang.StringBuilder sb)

      Description copied from class: `OldCellRecord`
      Append specific debug info (used by `OldCellRecord.toString()` for the value contained in this record. Trailing new-line should not be appended (superclass does that).
      Specified by:
        `appendValueText` in class `OldCellRecord`
      Parameters:
        `sb` - the StringBuilder to append to

    - #### getRecordName

          protected java.lang.String getRecordName()

      Description copied from class: `OldCellRecord`
      Gets the debug info BIFF record type name (used by `OldCellRecord.toString()`.
      Specified by:
        `getRecordName` in class `OldCellRecord`
      Returns:
        the debug info BIFF record type name

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.